yuppie wrote:
I propose to move the Five bridging code (bridge.py, fiveconfigure.createZope2Bridge and related tests) to the Interface package of Zope 2. Five would still ship with a copy of that code for Zope 2.7 backwards compatibility.


Based on a suggestion from philiKON and some discussion on IRC I modify my proposal:

The bridging code added to Interface should work the other way round, bridging newstyle interfaces to oldstyle interfaces.

Existing Zope 2 interfaces should be converted to Zope 3 interfaces and bridged back to Zope 2 interfaces for backwards compatibility.

Cheers, Yuppie


_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to